RealBasicEventStream (Apache OpenNLP :: Core :: ML :: Maximum Entropy 3.0.0-M4 API)
Description: declaration: package: opennlp.tools.ml.maxent, class: RealBasicEventStream

Package opennlp.tools.ml.maxent

# Class RealBasicEventStream

java.lang.Object
opennlp.tools.ml.maxent.RealBasicEventStream

All Implemented Interfaces:
  `AutoCloseable`, `opennlp.tools.util.ObjectStream<opennlp.tools.ml.model.Event>`

public class RealBasicEventStream extends Object implements opennlp.tools.util.ObjectStream<opennlp.tools.ml.model.Event>
Class for real-valued `events` as an `event stream`. .

See Also:
  - `Event`
  - `ObjectStream`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RealBasicEventStream(opennlp.tools.util.ObjectStream<String> ds)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `close()`
  `opennlp.tools.ml.model.Event`
  `read()`
  `void`
  `reset()`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RealBasicEventStream

    public RealBasicEventStream(opennlp.tools.util.ObjectStream<String> ds)

- ## Method Details

  - ### read

    public opennlp.tools.ml.model.Event read() throws IOException
    Specified by:
      `read` in interface `opennlp.tools.util.ObjectStream<opennlp.tools.ml.model.Event>`
    Throws:
      `IOException` - Thrown if there is an error during reading.
      `RuntimeException` - Thrown if negative real values are detected in the input data.

  - ### reset

    public void reset() throws IOException, UnsupportedOperationException
    Specified by:
      `reset` in interface `opennlp.tools.util.ObjectStream<opennlp.tools.ml.model.Event>`
    Throws:
      `IOException`
      `UnsupportedOperationException`

  - ### close

    public void close() throws IOException
    Specified by:
      `close` in interface `AutoCloseable`
    Specified by:
      `close` in interface `opennlp.tools.util.ObjectStream<opennlp.tools.ml.model.Event>`
    Throws:
      `IOException`